﻿<?xml version="1.0" encoding="utf-8"?>
<Application>
  <DisplayInfo Title="Local Administrator Password Solution Client" Publisher="Microsoft" Version="6.2" ReleaseDate="7/10/2017">
    <UserCategories>
    </UserCategories>
	<SoftwareCategories>
		<Category>LTSC</Category>
		<Category>Management Applications</Category>
	</SoftwareCategories>
  </DisplayInfo>
  <DeploymentType Title="Local Administrator Password Solution Client 6.2 x64 PSAppDeploy" Architecture="x64" Technology="Script" DetectionMethod="Script" ContentLocation="\\server01\sources$\Microsoft\LAPS\6.2\win_x64\">
    <UninstallCommand>"Deploy-Application.exe" UNINSTALL</UninstallCommand>
    <InstallCommand>"Deploy-Application.exe" INSTALL</InstallCommand>
    <DetectionScript RunAs32Bit="False" Language="PowerShell">
      <TEXT>$Version = '6.2'
$RegKey = Get-ChildItem -Path 'HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall' | Where-Object {$_.GetValue('DisplayName') -eq 'Local Administrator Password Solution'}

if($RegKey) {

    if($RegKey.GetValue('DisplayVersion') -ge $Version) {

        return $true
    }
}</TEXT>
    </DetectionScript>
  </DeploymentType>
</Application>